
TYPO3.Flow - Bug # 37223

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Package
Created: 2012-05-16 Assigned To: Karsten Dambekalns
Updated: 2012-06-20 Due date:
PHP Version: 5.3
Has patch: No
Complexity: medium
Affected Flow version: FLOW3 1.1.0 beta 1
Subject: Packages can be frozen in Production Context
Description

Packages should not be freezable in Production - and probably they are behaving correctly already. However, when flushing the
caches for example in Production context, a list of frozen packages will be displayed.

Investigate if this is only a display issue in that command or if packages are truly handled as frozen in Production (which would be
wrong). cache:flush in Production should flush all caches.

Related issues:
related to TYPO3.Flow - Bug # 37574: ReflectionData is not regenerated automa... Resolved 2012-07-26

Associated revisions
Revision 4bff5587 - 2012-06-05 10:45 - Karsten Dambekalns

[BUGFIX] Packages can be frozen in Development only

Freezing packages was not possible in other contexts than Development
with the related commands. But if a package was frozen according to
PackageStates.php, it would advertise itself as frozen in all contexts.

While this did not seem to have any real effects, it caused confusing
output with the cache:flush command in Production context.

This change makes the Package class ignore the frozen state in any
context except Development and adds a check in the freezePackage()
method of the PackageManager.

Change-Id: I9c370b89e5c76ced6e6a309bd90ab4115608949a
Fixes: #37223
Releases: 1.1, 1.2

Revision 3bfddf03 - 2012-06-12 16:12 - Karsten Dambekalns

[BUGFIX] Packages can be frozen in Development only

Freezing packages was not possible in other contexts than Development
with the related commands. But if a package was frozen according to
PackageStates.php, it would advertise itself as frozen in all contexts.

While this did not seem to have any real effects, it caused confusing
output with the cache:flush command in Production context.

This change makes the Package class ignore the frozen state in any
context except Development and adds a check in the freezePackage()
method of the PackageManager.

Change-Id: I9c370b89e5c76ced6e6a309bd90ab4115608949a
Fixes: #37223
Releases: 1.1, 1.2

History
#1 - 2012-05-30 13:00 - Karsten Dambekalns
- Target version changed from 1.1 beta 2 to 1.1 RC1

#2 - 2012-06-04 11:41 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2012-06-04 14:40 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11830

#4 - 2012-06-05 10:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11830

#5 - 2012-06-12 16:13 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11988

#6 - 2012-06-14 15:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3bfddf0331b9a7df4272d367f104975ea5a118e4.

#7 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
